<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CSS Positioning Properties</title>

    <!-- css stylesheet -->
    <link rel="stylesheet" type="text/css" href="./style.css">
</head>
<body>
    
    <h2>CSS Common Positioning Properties</h2>

    <h3>Float</h3>

    <p>
        The float property is used for positioning and formatting content e.g
        let an image float left to the text container.
    </p>

    <img src="https://place-puppy.com/450x450" alt="puppy-img" class="img-float">
    <p>
        Lorem ipsum dolor sit amet consectetur, adipisicing elit. Autem,
        exercitationem eveniet pariatur impedit. Architecto quasi itaque, 
        accusantium tenetur. Incidunt, aperiam, reprehenderit. Repudiandae, 
        culpa eos nulla odio. Odio perferendis, accusamus ad. Lorem ipsum dolor
        sit amet consectetur adipisicing elit. Blanditiis inventore numquam quia, 
        accusantium modi, voluptate assumenda architecto, dicta laboriosam sit sequi 
        perspiciatis quo ab soluta consequuntur, incidunt totam.
        Tempore, perspiciatis. Lorem ipsum dolor sit amet consectetur, adipisicing, elit. 
        Incidunt amet asperiores omnis architecto delectus dolorum, temporibus cumque 
        optio, quidem. Praesentium eum, qui vel dolorem fugit nemo, consectetur 
        necessitatibus. Sapiente, doloremque?
    </p>

    <h2>CSS Positioning</h2>

    <div class="parent-element">
        Parent Element
        <div class="child-one">I'm child one element</div>
        <div class="child-two">I'm child two element</div>
        <div class="child-three">I'm child three element</div>
    </div>


    <h2>Z-index Example</h2>

<p>An element with greater stack order is always above an element with a lower stack order.</p>

<div class="container">
    <div class="black-box">Black box (z-index: 1)</div>
    <div class="gray-box">Gray box (z-index: 3)</div>
    <div class="green-box">Green box (z-index: 2)</div>
</div>


</body>
</html>